<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="sprayer" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../shared/xml/schema/vehicle.xsd">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>

    <storeData>
        <name>P329/2</name>
        <specs>
            <workingWidth>12.0</workingWidth>
        </specs>
        <functions>
            <function>$l10n_function_sprayer</function>
        </functions>
        <image>store_P329.dds</image>
        <price>3200</price>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>BIARDZKI</brand>
        <category>sprayers</category>
        <shopHeight>2</shopHeight>
    </storeData>

    <base>
        <typeDesc>$l10n_typeDesc_sprayer</typeDesc>
        <filename>Oprysk.i3d</filename>
        <size width="1.5" length="1.5"/>
        <speedLimit value="18" />
        <components>
            <component centerOfMass="0 0 0" solverIterationCount="10" mass="459" />
        </components>
        <schemaOverlay attacherJointPosition="0 0" name="IMPLEMENT" />
		<mapHotspot type="TOOL" />
    </base>

	<attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="0>2|0" jointType="implement" topReferenceNode="0>2|1" lowerRotLimitScale="0 0 0" lowerTransLimitScale="0 0 0" upperRotationOffset="2" lowerRotationOffset="-8">
                <distanceToGround lower="0.5" upper="1" />
            </inputAttacherJoint>
        </inputAttacherJoints>
    </attachable>

	<powerTakeOffs>
        <powerTakeOffConfigurations title="$l10n_configuration_powerTakeOff">
            <powerTakeOffConfiguration name="$l10n_configuration_powerTakeOff_Old" price="0">
		<input inputAttacherJointIndices="1" inputNode="0>2|2" detachNode="0>2|3" aboveAttacher="false" filename="pto/pto2.xml"/>
	    </powerTakeOffConfiguration>
	    <powerTakeOffConfiguration name="$l10n_configuration_powerTakeOff_New" price="250">
	       <input inputAttacherJointIndices="1" inputNode="0>2|2" detachNode="0>2|3" aboveAttacher="false"/>	
           </powerTakeOffConfiguration>	
        </powerTakeOffConfigurations>
    </powerTakeOffs>
	<powerConsumer ptoRpm="450" neededMinPtoPower="10" neededMaxPtoPower="10" />

	 <foldable>
        <foldingConfigurations>
            <foldingConfiguration>
                <foldingParts startMoveDirection="1" turnOnFoldMaxLimit="0.1" turnOnFoldMinLimit="0">
                    <foldingPart animationName="folding" speedScale="0.7" />
                </foldingParts>
            </foldingConfiguration>
        </foldingConfigurations>
    </foldable>

	 <animations>
        <animation name="folding">
            <part node="0>0|2|0|0"   startTime="1.1" endTime="2.0" startRot="0.0 0.0 0.0" endRot="0.0 179.99 0.0" />
            <part node="0>0|2|0|0|0" startTime="0.0" endTime="1.0" startRot="0.0 0.0 0.0" endRot="0.0 0.0 182.0" />
			<part node="0>0|2|0|1"   startTime="3.1" endTime="4.0" startRot="0.0 0.0 0.0" endRot="0.0 -179.99 0.0" />
            <part node="0>0|2|0|1|0" startTime="2.0" endTime="3.0" startRot="0.0 0.0 0.0" endRot="0.0 0.0 -182.0" />
			<part node="0>0|2|0|17" startTime="0.01" endTime="0.02" visibility="false" />
			<part node="0>0|2|0|17" startTime="0.0" endTime="0.01" visibility="true" />
			<part node="0>0|2|0|1|0|10" startTime="0.01" endTime="0.02" visibility="true" />                      
			<part node="0>0|2|0|1|0|10" startTime="0.0" endTime="0.01" visibility="false" />				   
			<part node="0>0|2|0|1|10" startTime="0.01" endTime="0.02" visibility="true" />
			<part node="0>0|2|0|1|10" startTime="0.0" endTime="0.01" visibility="false" />
			<part node="0>0|2|0|15" startTime="0.01" endTime="0.02" visibility="true" />
			<part node="0>0|2|0|15" startTime="0.0" endTime="0.01" visibility="false" />
			<part node="0>0|2|0|0|10" startTime="0.01" endTime="0.02" visibility="true" />
			<part node="0>0|2|0|0|10" startTime="0.0" endTime="0.01" visibility="false" />
			<part node="0>0|2|0|0|0|10" startTime="0.01" endTime="0.02" visibility="true" />
			<part node="0>0|2|0|0|0|10" startTime="0.0" endTime="0.01" visibility="false" />
        </animation>
		<animation name="lanca">
            <part node="0>0|2|0"   startTime="0.0" endTime="3.0" startTrans="0.0 0.0 0.0" endTrans="0.0 0.3 0.0" />
			<part node="0>0|1"   startTime="0.0" endTime="3.0" startRot="0.0 0.0 0.0" endRot="0.0 0.0 400.0" />
			<part node="0>0|4"   startTime="0.0" endTime="3.0" startScale="1.0 1.0 1.0" endScale="1.15 1.15 1.15" />
        </animation>
    </animations>

	<cylindered>
        <movingTools>
            <movingTool node="0>0|2|0" playSound="true">
                <controls axis="AXIS_SPRAYER_ARM" invertAxis="false" mouseSpeedFactor="1.5" iconName="SPRAYER_ARM_TRANSLATE_Y"/>
                <animation animName="lanca" animSpeed="0.2"/>
            </movingTool>
        </movingTools>
    </cylindered>
	
	<fillUnit>
        <fillUnitConfigurations>
            <fillUnitConfiguration>
                <fillUnits>
                    <unloading width="7" offset="0 0 0" />
                    <fillUnit unitTextOverride="$l10n_unit_literShort" fillTypeCategories="sprayer" capacity="500">
                        <exactFillRootNode node="0>3|3"/>
                    </fillUnit>
                </fillUnits>
            </fillUnitConfiguration>
        </fillUnitConfigurations>
    </fillUnit>

	<workAreas>
        <workArea type="sprayer" functionName="processSprayerArea" disableBackwards="false" requiresGroundContact="false">
            <area startNode="0>3|0" widthNode="0>3|1" heightNode="0>3|2"/>
        </workArea>
    </workAreas>

	<sprayer fillUnitIndex="1">
        <usageScales workAreaIndex="1" scale="1"/>
        <effects>
            <effectNode effectNode="0>0|2|0|11"     delay="0.2" materialType="sprayer"/>
            <effectNode effectNode="0>0|2|0|12"     delay="0.2" materialType="sprayer"/>
            <effectNode effectNode="0>0|2|0|7"     delay="0.2" materialType="sprayer"/>
            <effectNode effectNode="0>0|2|0|8"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|9"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|10"     delay="0.2" materialType="sprayer"/>
			
			<effectNode effectNode="0>0|2|0|0|4"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|5"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|6"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|7"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|2"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|3"     delay="0.2" materialType="sprayer"/>
			
			<effectNode effectNode="0>0|2|0|0|0|2"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|0|3"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|0|4"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|0|5"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|0|6"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|0|0|7"     delay="0.2" materialType="sprayer"/>
			
			<effectNode effectNode="0>0|2|0|1|4"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|5"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|6"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|7"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|2"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|3"     delay="0.2" materialType="sprayer"/>
			
			<effectNode effectNode="0>0|2|0|1|0|2"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|0|3"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|0|4"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|0|5"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|0|6"     delay="0.2" materialType="sprayer"/>
			<effectNode effectNode="0>0|2|0|1|0|7"     delay="0.2" materialType="sprayer"/>
		</effects>
    </sprayer>

	<designConfigurations title="$l10n_configuration_naklejki">
		<designConfiguration name="$l10n_configuration_brak" price="0">
			<objectChange node="0>0|3" visibilityActive="false" />
		</designConfiguration>
		<designConfiguration name="$l10n_configuration_naklejki" price="30">
			<objectChange node="0>0|3" visibilityActive="true" />
		</designConfiguration>
	</designConfigurations>

	<turnOnVehicle turnOffIfNotAllowed="true" >
        <sounds>
            <work template="DEFAULT_SPRAYER" linkNode="0>" />
        </sounds>
    </turnOnVehicle>

	<wearable wearDuration="480" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="90" washDuration="1" workMultiplier="2" fieldMultiplier="2"/>

	<baseMaterial>
        <material name="3" baseNode="0>0|0">
            <shaderParameter name="colorMat0" value="0.6 0 0"/>
        </material>
		<material name="9" baseNode="0>0|6">
            <shaderParameter name="colorMat0" value="0.6 0 0"/>
        </material>
		<material name="10" baseNode="0>0|5">
            <shaderParameter name="colorMat4" value="0 0.18 1"/>
        </material>
		<material name="5" baseNode="0>0|2|0|2|0">
            <shaderParameter name="colorMat3" value="0.6 0 0"/>
        </material>	
		<material name="6" baseNode="0>0|2|0|1|0|1">
            <shaderParameter name="colorMat3" value="0.6 0 0"/>
        </material>
    </baseMaterial>

	<baseMaterialConfigurations price="0" useDefaultColors="true" defaultColorIndex="0">
        <baseMaterialConfiguration name="$l10n_Red"   color="0.6 0 0"/>
		<baseMaterialConfiguration name="$l10n_Red"   color="0.5 0.05 0.03"/>
		<baseMaterialConfiguration name="$l10n_Red"   color="0.68 0.02 0.01"/>
		<baseMaterialConfiguration name="$l10n_Red"   color="0.5 0.03 0.01"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.56 0.23 0.03 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.3 0.0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.6 0.12 0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.3 0.1 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.27 0.105 0.014 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.7 0.23 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.5 0.2 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0.035 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.6 0.07 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.46 0.06 0.02 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.55 0.08 0.03 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.34 0.02 0.0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.32 0.03 0.01 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.27 0.05 0.03 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.7 0.011 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.3 0 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.028 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.01 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.11 0.02 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.02 0.1 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.02 0.06 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.03 0.08 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.03 0.14 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Blue" color="0.01 0.16 0.5 0"/>
        <baseMaterialConfiguration name="$l10n_Blue" color="0.03 0.1 0.18 0"/>
        <baseMaterialConfiguration name="$l10n_defaultBlue" color="0.056 0.056 0.076 4" material="4"  price="0"/>
        <baseMaterialConfiguration name="$l10n_defaultWhite" color="0.564 0.564 0.564 4" material="4"  price="0"/>
        <baseMaterialConfiguration name="$l10n_stainless" color="0.8 0.8 0.8 4" material="4"  price="1500"/>
        <baseMaterialConfiguration name="$l10n_chrome" color="0.8 0.8 0.8 3" material="4"  price="2000"/>
        <baseMaterialConfiguration name="$l10n_greenMetallic" color="0.0 0.03 0.02 4" material="4"  price="1100"/>
        <baseMaterialConfiguration name="$l10n_blueMetallic" color="0.02 0.03 0.07 4" material="4"  price="1100"/>
        <baseMaterialConfiguration name="$l10n_redMetallic" color="0.09 0.005 0.005 4" material="4"  price="1100"/>
        <baseMaterialConfiguration name="$l10n_greyMetallic" color="0.025 0.025 0.025 4" material="4"  price="1100"/>
        <baseMaterialConfiguration name="Orange Metallic" color="0.6 0.16 0.001 4" material="4"  price="1100"/>
        <baseMaterialConfiguration color="0.17 0.02 0.004 0"/>
        <baseMaterialConfiguration color="0.5 0.025 0.01 0"/>
        <baseMaterialConfiguration color="0.04 0.12 0.3 0"/>
        <baseMaterialConfiguration  name="$l10n_Gray" 	    color="0.2 0.2 0.2 6"/>
        <baseMaterialConfiguration  name="$l10n_Green"      color="0.02 0.09 0.04 6"/>
        <baseMaterialConfiguration  name="$l10n_Red"     color="0.42 0.0 0.0 6"/>
        <baseMaterialConfiguration  name="$l10n_Red"      color="0.2 0.0 0.0 6"/>
        <baseMaterialConfiguration  name="$l10n_Black"      color="0.01 0.01 0.01 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray" 	    color="0.15 0.17 0.20 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.35 0.35 0.35 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.28 0.28 0.28 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.21 0.21 0.21 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.15 0.15 0.15 6"/>
        <baseMaterialConfiguration  name="$l10n_Black"      color="0.08 0.08 0.08 6"/>
        <baseMaterialConfiguration  name="$l10n_Black"      color="0.025 0.025 0.025 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.2 0.1 0.1 6"/>
        <baseMaterialConfiguration  name="$l10n_Red"      color="0.35 0.15 0.1 6"/>
        <baseMaterialConfiguration  name="$l10n_Red"      color="0.4 0.05 0.05 6"/>
        <baseMaterialConfiguration  name="$l10n_Red"      color="0.5 0.02 0.02 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"     color="0.15 0.16 0.19 6"/>
        <baseMaterialConfiguration  name="$l10n_Gray"      color="0.25 0.26 0.29 6"/>
        <baseMaterialConfiguration  name="$l10n_Green"      color="0.1 0.2 0.1 6"/>
        <baseMaterialConfiguration  name="$l10n_Green"       color="0.05 0.22 0.05 6"/>
        <baseMaterialConfiguration  name="$l10n_Green"      color="0.08 0.19 0.12 6"/>
        <baseMaterialConfiguration  name="$l10n_Green"       color="0.03 0.15 0.03 6"/>
        <baseMaterialConfiguration  name="$l10n_Blue" 	    color="0.1 0.2 0.4 6"/> 
        <baseMaterialConfiguration name="$l10n_Yellow" 			material="16" color="1 0.43 0.05"/>		
        <baseMaterialConfiguration name="$l10n_Red" 			material="16" color="1 0.05 0.03"/>
        <baseMaterialConfiguration name="$l10n_Bordowy" 		material="16" color="0.3 0.035 0.03"/>
        <baseMaterialConfiguration name="$l10n_Bordowy" 		material="16" color="0.35 0 0"/>
        <baseMaterialConfiguration name="$l10n_Green" 			material="16" color="0 0.2 0.03"/>
        <baseMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.69 0.21 0.03"/>
        <baseMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.76 0.12 0"/>
        <baseMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.41 0.08 0.01"/>
        <baseMaterialConfiguration name="$l10n_Red" 			material="16" color="0.76 0.06 0.01"/>
        <baseMaterialConfiguration name="$l10n_Red" 			material="16" color="1 0.08 0.01"/>
        <baseMaterialConfiguration name="$l10n_Yelow"  color="0.56 0.23 0.03 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.3 0.0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.6 0.12 0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.3 0.1 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.27 0.105 0.014 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.7 0.23 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.5 0.2 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0 0"/>  
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0.035 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.32 0.03 0.01 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.27 0.05 0.03 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.7 0.011 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.3 0 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.028 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.01 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.11 0.02 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.6 0.07 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.7 0.011 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.7 0.23 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.02 0.1 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.02 0.06 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.03 0.08 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Green" color="0.03 0.14 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Czarny" 	material="16" color="0 0.33 0"/>		
        <baseMaterialConfiguration name="$l10n_Red" 	material="16" color="0.77 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.27 0.37"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.21 0.37"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.17 0.37"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.21 0.43"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.2 0.3"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0.05 0.2 0.3"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.07 0.53"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.07 0.24"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.13 0.24"/>
        <baseMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.13 0.45"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.21 0.1"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.2 0.05"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.02 0.24 0.05"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.08 0.3 0.05"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.2 0.15"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.2 0.1"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.25 0.13"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.01 0.13 0.04"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.15 0.35 0.06"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.28 0.08"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.1 0.21 0.06"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.1 0.13 0.06"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.19 0.13 0.08"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.03"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.06"/>
        <baseMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.1"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.28 0.15"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.28 0.12"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.2 0.12"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.4 0.2 0.12"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.3 0.13 0.1"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.4 0.07 0"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.5 0.12 0.02"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.8 0.28 0.06"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.55 0.36 0.2"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.38 0.08 0.04"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.22 0.08 0.04"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.15 0.06 0.04"/>
        <baseMaterialConfiguration name="$l10n_Orange" price="200" color="0.11 0.05 0.03"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.05 0.02"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.02 0.02"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.6 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.6 0.05 0"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.5 0.05 0.05"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.5 0.02 0.02"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.3 0.05 0.05"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.3 0.02 0.02"/>
        <baseMaterialConfiguration name="$l10n_Red"    price="200" color="0.39 0.09 0.12"/>
        <baseMaterialConfiguration name="$l10n_Black"  price="200" color="0.08 0.08 0.08"/>
        <baseMaterialConfiguration name="$l10n_Black"  price="200" color="0.03 0.03 0.03"/>
        <baseMaterialConfiguration name="$l10n_Black"  price="200" color="0.02 0.02 0.02"/>
        <baseMaterialConfiguration name="$l10n_Black"  price="200" color="0.08 0.06 0.06"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.18 0.18 0.18"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.22 0.22 0.22"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.264 0.264 0.264"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.06 0.06 0.06"/>	
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.11 0.11 0.11"/>	
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.2 0.22 0.2"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.2 0.24 0.2"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.24 0.2"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.2 0.2"/>
        <baseMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.25 0.2"/>
        <baseMaterialConfiguration name="$l10n_Yelow"  color="0.56 0.23 0.03 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.3 0.0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.6 0.12 0 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.3 0.1 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.27 0.105 0.014 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.7 0.23 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.5 0.2 0.02 0"/>
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0 0"/>  
        <baseMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0.035 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.32 0.03 0.01 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.27 0.05 0.03 1"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.7 0.011 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.3 0 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.028 0.01 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.15 0.01 0 0"/>
        <baseMaterialConfiguration name="$l10n_Red" color="0.11 0.02 0.01 0"/>       

		<material name="3" shaderParameter="colorMat0" />
		<material name="9" shaderParameter="colorMat0" />
		<material name="5" shaderParameter="colorMat3" />
		<material name="6" shaderParameter="colorMat3" />
	</baseMaterialConfigurations>

	<designMaterialConfigurations price="0" useDefaultColors="true" defaultColorIndex="0">
        <designMaterialConfiguration name="$l10n_Blue"   color="0 0.18 1"/>
		<designMaterialConfiguration name="$l10n_Blue"   color="0.02 0.09 0.8"/>
		<designMaterialConfiguration name="$l10n_Blue"   color="0.04 0.19 0.6"/>
		<designMaterialConfiguration name="$l10n_Yellow"   color="0.36 0.18 0"/>
		<designMaterialConfiguration name="$l10n_Yellow"   color="0.44 0.21 0.03"/>
		<designMaterialConfiguration name="$l10n_Yellow"   color="0.5 0.27 0.01"/>
       
            <designMaterialConfiguration name="$l10n_defaultWhite" color="0.564 0.564 0.564 4" material="4"  price="0"/>
        <designMaterialConfiguration name="$l10n_stainless" color="0.8 0.8 0.8 4" material="4"  price="1500"/>
        <designMaterialConfiguration name="$l10n_chrome" color="0.8 0.8 0.8 3" material="4"  price="2000"/>
        <designMaterialConfiguration name="$l10n_greenMetallic" color="0.0 0.03 0.02 4" material="4"  price="1100"/>
        <designMaterialConfiguration name="$l10n_blueMetallic" color="0.02 0.03 0.07 4" material="4"  price="1100"/>
        <designMaterialConfiguration name="$l10n_redMetallic" color="0.09 0.005 0.005 4" material="4"  price="1100"/>
        <designMaterialConfiguration name="$l10n_greyMetallic" color="0.025 0.025 0.025 4" material="4"  price="1100"/>
        <designMaterialConfiguration name="Orange Metallic" color="0.6 0.16 0.001 4" material="4"  price="1100"/>
        <designMaterialConfiguration color="0.17 0.02 0.004 0"/>
        <designMaterialConfiguration color="0.5 0.025 0.01 0"/>
        <designMaterialConfiguration color="0.04 0.12 0.3 0"/>
        <designMaterialConfiguration  name="$l10n_Gray" 	    color="0.2 0.2 0.2 6"/>
        <designMaterialConfiguration  name="$l10n_Green"      color="0.02 0.09 0.04 6"/>
        <designMaterialConfiguration  name="$l10n_Red"     color="0.42 0.0 0.0 6"/>
        <designMaterialConfiguration  name="$l10n_Red"      color="0.2 0.0 0.0 6"/>
        <designMaterialConfiguration  name="$l10n_Black"      color="0.01 0.01 0.01 6"/>
        <designMaterialConfiguration  name="$l10n_Gray" 	    color="0.15 0.17 0.20 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.35 0.35 0.35 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.28 0.28 0.28 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.21 0.21 0.21 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.15 0.15 0.15 6"/>
        <designMaterialConfiguration  name="$l10n_Black"      color="0.08 0.08 0.08 6"/>
        <designMaterialConfiguration  name="$l10n_Black"      color="0.025 0.025 0.025 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.2 0.1 0.1 6"/>
        <designMaterialConfiguration  name="$l10n_Red"      color="0.35 0.15 0.1 6"/>
        <designMaterialConfiguration  name="$l10n_Red"      color="0.4 0.05 0.05 6"/>
        <designMaterialConfiguration  name="$l10n_Red"      color="0.5 0.02 0.02 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"     color="0.15 0.16 0.19 6"/>
        <designMaterialConfiguration  name="$l10n_Gray"      color="0.25 0.26 0.29 6"/>
        <designMaterialConfiguration  name="$l10n_Green"      color="0.1 0.2 0.1 6"/>
        <designMaterialConfiguration  name="$l10n_Green"       color="0.05 0.22 0.05 6"/>
        <designMaterialConfiguration  name="$l10n_Green"      color="0.08 0.19 0.12 6"/>
        <designMaterialConfiguration  name="$l10n_Green"       color="0.03 0.15 0.03 6"/>
        <designMaterialConfiguration  name="$l10n_Blue" 	    color="0.1 0.2 0.4 6"/> 
        <designMaterialConfiguration name="$l10n_Yellow" 			material="16" color="1 0.43 0.05"/>		
        <designMaterialConfiguration name="$l10n_Red" 			material="16" color="1 0.05 0.03"/>
        <designMaterialConfiguration name="$l10n_Bordowy" 		material="16" color="0.3 0.035 0.03"/>
        <designMaterialConfiguration name="$l10n_Bordowy" 		material="16" color="0.35 0 0"/>
        <designMaterialConfiguration name="$l10n_Green" 			material="16" color="0 0.2 0.03"/>
        <designMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.69 0.21 0.03"/>
        <designMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.76 0.12 0"/>
        <designMaterialConfiguration name="$l10n_Pomaranczowy" 	material="16" color="0.41 0.08 0.01"/>
        <designMaterialConfiguration name="$l10n_Red" 			material="16" color="0.76 0.06 0.01"/>
        <designMaterialConfiguration name="$l10n_Red" 			material="16" color="1 0.08 0.01"/>
        <designMaterialConfiguration name="$l10n_Yelow"  color="0.56 0.23 0.03 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.3 0.0 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.6 0.12 0 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.3 0.1 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.27 0.105 0.014 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.7 0.23 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.5 0.2 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0 0"/>  
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0.035 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.32 0.03 0.01 1"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.27 0.05 0.03 1"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.7 0.011 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.3 0 0 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.15 0.028 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.15 0.01 0 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.11 0.02 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.6 0.07 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.7 0.011 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.7 0.23 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.02 0.1 0.05 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.02 0.06 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.03 0.08 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Green" color="0.03 0.14 0.05 0"/>
        <designMaterialConfiguration name="$l10n_Czarny" 	material="16" color="0 0.33 0"/>		
        <designMaterialConfiguration name="$l10n_Red" 	material="16" color="0.77 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.27 0.37"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.21 0.37"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.17 0.37"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.21 0.43"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0 0.2 0.3"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0.05 0.2 0.3"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.07 0.53"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.07 0.24"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.13 0.24"/>
        <designMaterialConfiguration name="$l10n_Blue"   price="200" color="0.02 0.13 0.45"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.21 0.1"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.2 0.05"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.02 0.24 0.05"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.08 0.3 0.05"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.2 0.15"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.2 0.1"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.26 0.25 0.13"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.01 0.13 0.04"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.15 0.35 0.06"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0 0.28 0.08"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.1 0.21 0.06"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.1 0.13 0.06"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.19 0.13 0.08"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.03"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.06"/>
        <designMaterialConfiguration name="$l10n_Green"  price="200" color="0.04 0.15 0.1"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.28 0.15"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.28 0.12"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.46 0.2 0.12"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.4 0.2 0.12"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.3 0.13 0.1"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.4 0.07 0"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.5 0.12 0.02"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.8 0.28 0.06"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.55 0.36 0.2"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.38 0.08 0.04"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.22 0.08 0.04"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.15 0.06 0.04"/>
        <designMaterialConfiguration name="$l10n_Orange" price="200" color="0.11 0.05 0.03"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.05 0.02"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.05 0"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0.02 0.02"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.7 0 0"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.6 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.6 0.05 0"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.5 0.05 0.05"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.5 0.02 0.02"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.3 0.05 0.05"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.3 0.02 0.02"/>
        <designMaterialConfiguration name="$l10n_Red"    price="200" color="0.39 0.09 0.12"/>
        <designMaterialConfiguration name="$l10n_Black"  price="200" color="0.08 0.08 0.08"/>
        <designMaterialConfiguration name="$l10n_Black"  price="200" color="0.03 0.03 0.03"/>
        <designMaterialConfiguration name="$l10n_Black"  price="200" color="0.02 0.02 0.02"/>
        <designMaterialConfiguration name="$l10n_Black"  price="200" color="0.08 0.06 0.06"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.18 0.18 0.18"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.22 0.22 0.22"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.264 0.264 0.264"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.06 0.06 0.06"/>	
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.11 0.11 0.11"/>	
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.2 0.22 0.2"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.2 0.24 0.2"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.24 0.2"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.2 0.2"/>
        <designMaterialConfiguration name="$l10n_Gray"   price="200" color="0.24 0.25 0.2"/>
        <designMaterialConfiguration name="$l10n_Yelow"  color="0.56 0.23 0.03 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.3 0.0 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.6 0.12 0 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.3 0.1 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.27 0.105 0.014 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.7 0.23 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.5 0.2 0.02 0"/>
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0 0"/>  
        <designMaterialConfiguration name="$l10n_Yelow" color="0.8 0.2 0.035 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.4 0.04 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.32 0.03 0.01 1"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.27 0.05 0.03 1"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.7 0.011 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.3 0 0 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.15 0.028 0.01 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.15 0.01 0 0"/>
        <designMaterialConfiguration name="$l10n_Red" color="0.11 0.02 0.01 0"/>

		<material name="10" shaderParameter="colorMat4" />
	</designMaterialConfigurations>

    <ai>
        <areaMarkers leftNode="0>4|0|0" rightNode="0>4|0|1" backNode="0>4|0|2" />
        <collisionTrigger node="0>4|1" />
		<needsLowering value="false"/>
    </ai>

	<foliageBending>
        <bendingNode minX="-1.4" maxX="1.4"  minZ="1.577" maxZ="1.833" yOffset="0.1" />
        <bendingNode minX="-0.44" maxX="0.44"  minZ="-1.637" maxZ="1.6" yOffset="0.1" />
    </foliageBending>
</vehicle>
